Package org.eclipse.mat.hprof.extension

# Interface IRuntimeEnhancer

public interface IRuntimeEnhancer
Using this interface an implementor can provide additional information to a HPROF snapshot See the documentation on the org.eclipse.mat.hprof.enhancer extension point

## Method Summary

Modifier and Type
Method
Description
`<A> A`
`getAddon(ISnapshot snapshot, Class<A> addon)`
Returns addon information of certain type if such information is attached to the HPROF snapshot

## Method Details

### getAddon

<A> A getAddon(ISnapshot snapshot, Class<A> addon) throws SnapshotException
Returns addon information of certain type if such information is attached to the HPROF snapshot

Type Parameters:
  `A` - The type of the additional information
Parameters:
  `snapshot` -
  `addon` - the class of the required extra information
Returns:
  the extra information, or null
Throws:
  `SnapshotException`